﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cvicenie5
{
    class ColorEllipse : ColorShape
    {
        public int x;
        public int y;
        public int height;
        public int width;

        public ColorEllipse(Color color, int x, int y, int height, int width) : base(color)
        {
            this.x = x;
            this.y = y;
            this.height = height;
            this.width = width;
        }

        public override void Draw(Graphics graphics)
        {
            Pen pen = new Pen(GetColor(), 3);
            graphics.DrawEllipse(pen, x, y, width, height);
        }
    }
}
